#ifndef __KBD_H__
#define __KBD_H__

#include "i386.h"

void kbd_readkey();

LS_INLINE int isprint(char ch) {
	return (ch >= ' ');
}

/*
 * Teclas especiales:
 *
 * Arrancan por encima de los 7 bits, asi no las confundimos con caracteres ASCII.
 */
enum kbd_spkeys {
	KEY_SHIFT = 0x81, KEY_CTRL, KEY_ALT, KEY_NUMLOCK, KEY_CAPSLOCK, KEY_SCRLLOCK,
	KEY_F1, KEY_F2, KEY_F3, KEY_F4, KEY_F5, KEY_F6,
	KEY_F7, KEY_F8, KEY_F9, KEY_F10, KEY_F11, KEY_F12,
	KEY_PGUP, KEY_PGDOWN
};

#endif
