#include "stdlib.h"

int main() {
	printf("Bienvenido al shell del sistema, use \"help\" para ver los comandos\n");
	while (true) {
		char buf[80];
		int i = 0;
		printf("> ");
		sys_ngets(buf, 80);

		while (buf[i] == ' ')
			i++;
		if (buf[i] == '\0') {
			continue;
		} else if (strcmp(&buf[i], "help") == 0) {
			printf("help\tEste comando :)\nps\tLista de procesos\nls\tLista de tareas disponibles para cargar\n");
			printf("run T\tEjecuta la tarea 't_<T>.tsk' en alguna consola disponible\nkill P\tTermina el proceso con PID <P>\n");
			printf("divz\tDivide por cero y se cierra (pero vuelve a abrirse)\n");
		} else if (strcmp(&buf[i], "ps") == 0) {
			sys_ps();
		} else if (strcmp(&buf[i], "ls") == 0) {
			sys_ls();
		} else if (strpartcmp(&buf[i], "run ") == 0) {
			char name[32];
			i += 4;
			while (buf[i] == ' ')
				i++;
			name[0] = '\0';
			strcat(name, "t_");
			strcat(name, &buf[i]);
			strcat(name, ".tsk");
			if (sys_exec(name, 5) < 0)
				printf("Error: el programa '%s' no existe\n", name);
		} else if (strpartcmp(&buf[i], "kill ") == 0) {
			i += 5;
			int pid = strtoi(&buf[i], 10);
			if (sys_kill(pid) < 0)
				printf("Error: el PID %d no existe\n", pid);
		} else if (strcmp(&buf[i], "divz") == 0) {
			int a = 0;
			printf("El resultado es %d\n", 3 / a);
		} else {
			printf("Comando no reconocido, intente \"help\"\n");
		}
	}
	return 0;
}
